/**
 * V_005tabviewpanel3 部件模型
 *
 * @export
 * @class V_005tabviewpanel3Model
 */
export default class V_005tabviewpanel3Model {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof V_005tabviewpanel3Model
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'hrarchives',
        prop: 'hrarchivesid',
      },
      {
        name: 'hrarchivesname',
      },
      {
        name: 'createman',
      },
      {
        name: 'createdate',
      },
      {
        name: 'updateman',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'hremployeeid',
      },
      {
        name: 'hremployeename',
      },
      {
        name: 'employeecode',
      },
      {
        name: 'organizationname',
      },
      {
        name: 'organizationid',
      },
      {
        name: 'empstate',
      },
      {
        name: 'archivescode',
      },
      {
        name: 'archivesroom',
      },
      {
        name: 'archivesplacetype',
      },
      {
        name: 'archivesplace',
      },
      {
        name: 'degree',
      },
      {
        name: 'birthday',
      },
      {
        name: 'politicaltime',
      },
      {
        name: 'startworktime',
      },
      {
        name: 'activeflag',
      },
      {
        name: 'attachment',
      },
      {
        name: 'memo',
      },
      {
        name: 'borrowstate',
      },
      {
        name: 'hrorganizationid',
      },
      {
        name: 'hrorganizationname',
      },
    ]
  }


}